
Redmine - Defect #26221

Update* Segmentation fault at migrate:db

2017-06-21 16:42 - Konstantin Nifanin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.3

Description

Hello, again!

I need update my redmine 3.0.3 to 3.3.3.

I find instruction RedmineUpgrade, update ruby, backuping database and redmine directory.

But on command bundle exec rake db:migrate RAILS_ENV=production I get follow error:

...

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/cli/exec.rb:74:in `kernel_load'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/cli/exec.rb:27:in `run'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/cli.rb:360:in `exec'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/vendor/thor/lib/thor/command.rb:27:

in `run'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/vendor/thor/lib/thor/invocation.rb:

126:in `invoke_command'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/vendor/thor/lib/thor.rb:369:in `dis

patch'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/cli.rb:20:in `dispatch'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/vendor/thor/lib/thor/base.rb:444:in

 `start'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/cli.rb:10:in `start'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/exe/bundle:35:in `block in <top (required)>'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/lib/bundler/friendly_errors.rb:121:in `with_fri

endly_errors'

/usr/local/rvm/gems/ruby-2.4.0/gems/bundler-1.15.1/exe/bundle:27:in `<top (required)>'

/usr/local/rvm/gems/ruby-2.4.0/bin/bundle:23:in `load'

/usr/local/rvm/gems/ruby-2.4.0/bin/bundle:23:in `<main>'

/usr/local/rvm/gems/ruby-2.4.0/bin/ruby_executable_hooks:15:in `eval'

/usr/local/rvm/gems/ruby-2.4.0/bin/ruby_executable_hooks:15:in `<main>'

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

Segmentation fault

 Segmentation fault - this is program problem. Or maybe... I'm doing something wrong?

My last Update-command:

 1060  rvm --default use 2.4.0

 1061  gem install bundler

 1062  bundle install --without development test

 1063  less /usr/local/rvm/gems/ruby-2.4.0/extensions/x86_64-linux/2.4.0/pg-0.18.4/mkmf.log

 1064  yum help

 1065  yum provides *libpq-fe.h

 1066  yum install postgresql93-devel

 1067  bundle install --without development test

 1068  yum install libpq-dev

 1069  su - postgres

 1070  find . -name "pg_config" 

 1071  find / -name "pg_config" 

 1072  gem install pg -- --with-pg-config=/usr/pgsql-9.3/bin/pg_config
 1073  bundle install --without development test

 1074  bundle install --without development test --with-pg-config=/usr/pgsql-9.3/bin/pg_config

 1075  yum install postgresql-devel

 1076  bundle install --without development test 

 1077  ls

 1078  bundle exec rake generate_secret_token

 1079  du -sh /usr/local/rvm/gems/*

 1080  bundle exec rake db:migrate RAILS_ENV=production

 1081  export LANG=en_EN.utf8

 1082  bundle exec rake db:migrate RAILS_ENV=production

 1083  vi config/database.yml

 1084  bundle exec rake db:migrate RAILS_ENV=production

 1085  chkconfig redmine off

 1086  less /var/log/messages

 1087  history

 My System:

[root@support redmine]# ruby -v

ruby 2.4.0p0 (2016-12-24 revision 57164) [x86_64-linux]

[root@support redmine]# cat /etc/redhat-release 

CentOS release 6.6 (Final)

[root@support redmine]# rpm -qa| grep postgre

postgresql-devel-8.4.20-7.el6.x86_64

postgresql93-devel-9.3.17-1PGDG.rhel6.x86_64

postgresql93-libs-9.3.17-1PGDG.rhel6.x86_64

postgresql-libs-8.4.20-7.el6.x86_64

postgresql93-9.3.17-1PGDG.rhel6.x86_64

postgresql-8.4.20-7.el6.x86_64

postgresql93-server-9.3.17-1PGDG.rhel6.x86_64

History

#1 - 2017-06-21 16:57 - Holger Just

The current version of Redmine, that is 3.3.3, does not yet support Ruby 2.4. It will (probably) only be supported with the next version. Please use

Ruby 2.3.4 in the meantime.

#2 - 2017-06-21 17:01 - Go MAEDA

- Category changed from Database to Ruby support

- Status changed from New to Closed

- Resolution set to Invalid

Please see RedmineInstall page for details about supported Ruby versions.

Powered by TCPDF (www.tcpdf.org)

2024-04-09 2/2

https://www.redmine.org/projects/redmine/wiki/RedmineInstall
http://www.tcpdf.org

